%define version	20071231
%define number	1.2.1

Summary: 	Netlister for the gEDA project
Name: 		geda-gnetlist
Version: 	%{version}
Release: 	%mkrel 1
Source:		%{name}-%{number}.tar.gz
Url:		http://www.geda.seul.org
License: 	GPL
Group: 		Sciences/Other
BuildRoot:  	%{_tmppath}/%name
BuildRequires: 	geda-symbols
BuildRequires: 	gtk+2-devel
BuildRequires: 	libgeda-devel = %version
BuildRequires: 	geda-gsymcheck = %version
buildRequires: 	libguile-devel >= 1.6.0

%description
Gnetlist generates netlists from schematics drawn with gschem
(the gEDA schematic editor). Possible output formats are:
- spice netlists
- verilog
- tango

%prep
%setup -q -n %{name}-%{number}

%build
%configure
%make all

%install
rm -fr %buildroot

MY_DIR=$RPM_BUILD_ROOT%_datadir/gEDA
%makeinstall_std
# GEDADATADIR=$MY_DIR GEDARCDIR=$MY_DIR rcdatadir=$MY_DIR \
#	scmdatadir=$MY_DIR

rm -fr %buildroot%_datadir/doc

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc docs/README.* docs/gnetlist.html docs/vams/*.txt 
%dir %{_datadir}/gEDA
%{_bindir}/gnetlist
%{_bindir}/mk_verilog_syms
%{_bindir}/sw2asc
%{_bindir}/sch2eaglepos.sh
%{_mandir}/man*/*
%{_datadir}/gEDA/scheme
%{_datadir}/gEDA/system-gnetlistrc


%changelog
* Sun Jan 06 2008 trem <trem@mandriva.org> 20071231-1mdv2008.1
+ Revision: 146112
- don't use version number (1.2.1), instead use date (20071231)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 21 2007 Olivier Thauvin <nanardon@mandriva.org> 20070216-1mdv2008.0
+ Revision: 29483
- 20070216


* Sat Jan 20 2007 Olivier Thauvin <nanardon@mandriva.org> 20061020-2mdv2007.0
+ Revision: 110980
- rebuild
- v 20061020

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org> 20060123-2mdv2007.0
+ Revision: 53615
- rebuild
- Import geda-gnetlist

* Sun May 14 2006 Olivier Thauvin <nanardon@mandriva.org> 20060123-1mdk
- 20060123

* Wed Oct 05 2005 Olivier Thauvin <nanardon@mandriva.org> 20050820-1mdk
- 20050820

* Thu Apr 29 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20040111-1mdk
- 20040111

